<?php
define("QQDEBUG", true);
if (defined("QQDEBUG") && QQDEBUG)
{
    @ini_set("error_reporting", E_ALL ^ E_NOTICE);
    @ini_set("display_errors", TRUE);
}

include_once("session.php");

global $baseUrl;

$config = getConfig("qqlogin");
if(!$config || !$config['appId'] || !$config['appKey']){
	Msg::show("未配置QQ登录或已关闭该应用");
}

$_SESSION["appid"]    = $config['appId']; 

//申请到的appkey
$_SESSION["appkey"]   = $config['appKey']; 

//QQ登录成功后跳转的地址,请确保地址真实可用，否则会导致登录失败。
$host = $_SERVER['HTTP_HOST'];
$_SESSION["callback"] = "http://".$host.$baseUrl."user/quicklogin/type/qq/act/callback"; 



//QQ授权api接口.按需调用
//$_SESSION["scope"] = "get_user_info,add_share,list_album,add_album,upload_pic,add_topic,add_one_blog,add_weibo";
?>
